gstreamermm: Gst::AudioRate Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::AudioRate Class Reference
gstreamermm Plugins

A Wrapper for the audiorate plugin. More...

Inheritance diagram for Gst::AudioRate:
[legend]
Collaboration diagram for Gst::AudioRate:
[legend]

List of all members.

## Public Member Functions
virtual | ~AudioRate ()
GstAudioRate* | gobj ()
| Provides access to the underlying C GObject.
const GstAudioRate* | gobj () const
| Provides access to the underlying C GObject.
GstAudioRate* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly < guint64 > | property_in () const
| Number of input samples.
Glib::PropertyProxy_ReadOnly < guint64 > | property_out () const
| Number of output samples.
Glib::PropertyProxy_ReadOnly < guint64 > | property_add () const
| Number of added samples.
Glib::PropertyProxy_ReadOnly < guint64 > | property_drop () const
| Number of dropped samples.
Glib::PropertyProxy< bool > | property_silent ()
| Don't emit notify for dropped and duplicated frames.
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| Don't emit notify for dropped and duplicated frames.
Glib::PropertyProxy< guint64 > | property_tolerance ()
| Only act if timestamp jitter/imperfection exceeds indicated tolerance (ns).
Glib::PropertyProxy_ReadOnly < guint64 > | property_tolerance () const
| Only act if timestamp jitter/imperfection exceeds indicated tolerance (ns).
Glib::PropertyProxy< bool > | property_skip_to_first ()
| Don't produce buffers before the first one we receive.
Glib::PropertyProxy_ReadOnly < bool > | property_skip_to_first () const
| Don't produce buffers before the first one we receive.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< AudioRate > | create ()
| Creates a new audiorate plugin with a unique name.
static Glib::RefPtr< AudioRate > | create (const Glib::ustring& name)
| Creates a new audiorate plugin with the given name.
## Protected Member Functions
| AudioRate ()
| AudioRate (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::AudioRate > | wrap (GstAudioRate* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the audiorate plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::AudioRate::~AudioRate | ( |  | ) | `[virtual]`

Gst::AudioRate::AudioRate | ( |  | ) | `[protected]`

Gst::AudioRate::AudioRate | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<AudioRate> Gst::AudioRate::create | ( |  | ) | `[static]`

Creates a new audiorate plugin with a unique name.

static Glib::RefPtr<AudioRate> Gst::AudioRate::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new audiorate plugin with the given name.

static GType Gst::AudioRate::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstAudioRate* Gst::AudioRate::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstAudioRate* Gst::AudioRate::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstAudioRate* Gst::AudioRate::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::AudioRate::property_add | ( |  | ) | const

Number of added samples.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::AudioRate::property_drop | ( |  | ) | const

Number of dropped samples.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::AudioRate::property_in | ( |  | ) | const

Number of input samples.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::AudioRate::property_out | ( |  | ) | const

Number of output samples.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::AudioRate::property_silent | ( |  | ) |

Don't emit notify for dropped and duplicated frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::AudioRate::property_silent | ( |  | ) | const

Don't emit notify for dropped and duplicated frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::AudioRate::property_skip_to_first | ( |  | ) |

Don't produce buffers before the first one we receive.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::AudioRate::property_skip_to_first | ( |  | ) | const

Don't produce buffers before the first one we receive.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::AudioRate::property_tolerance | ( |  | ) |

Only act if timestamp jitter/imperfection exceeds indicated tolerance (ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::AudioRate::property_tolerance | ( |  | ) | const

Only act if timestamp jitter/imperfection exceeds indicated tolerance (ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::AudioRate > wrap | ( | GstAudioRate * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/audiorate.h